<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"><HTML><HEAD><TITLE>80386 Programmer's Reference Manual -- Opcode STR</TITLE> </HEAD><BODY><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="STOS.htm"> STOS/STOSB/STOSW/STOSD Store String Data</A><BR><B>next:</B><A HREF="SUB.htm"> SUB Integer Subtraction</A><P><HR><P><H1>STR -- Store Task Register</H1><PRE>
Opcode        Instruction   Clocks       Description

0F  00 /1     STR r/m16     pm=23/27     Load EA word into task register
</PRE><H2>Operation</H2><PRE>
r/m := task register;
</PRE><H2>Description</H2>The contents of the task register are copied to the two-byte register or memory location indicated by the effective address operand.<P>STR is used only in operating system software. It is not used in application programs.<H2>Flags Affected</H2>None<H2>Protected Mode Exceptions</H2>#GP(0) if the result is in a nonwritable segment; #GP(0) for an illegal memory operand effective address in the CS, DS, ES, FS, or GS segments; #SS(0) for an illegal address in the SS segment; #PF(fault-code) for a page fault<H2>Real Address Mode Exceptions</H2>Interrupt 6; STR is not recognized in Real Address Mode<H2>Virtual 8086 Mode Exceptions</H2>Same exceptions as in Real Address Mode<H2>Notes</H2>The operand-size attribute has no effect on this instruction.<P><HR><P><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="STOS.htm"> STOS/STOSB/STOSW/STOSD Store String Data</A><BR><B>next:</B><A HREF="SUB.htm"> SUB Integer Subtraction</A> </BODY>